/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ProdVigencia;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCyberViajeProdVigencia implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        ProdVigencia prodVigencia = (ProdVigencia) o;
        SimpleDateFormat f = new SimpleDateFormat("dd/MM/yyyy");

        Listcell lc = null;

        Date fecInicio = prodVigencia.getFecvigenciainicio();
        if (fecInicio != null) {
            lc = new Listcell(f.format(fecInicio));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Date fecFim = prodVigencia.getFecvigenciafin();
        if (fecFim != null) {
            lc = new Listcell(f.format(fecFim));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", prodVigencia);
    }
}
